CMSIS-DSP: Maximum

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Maximum
Statistics Functions

## Functions
void | arm_max_f32 (float32_t *pSrc, uint32_t blockSize, float32_t *pResult, uint32_t *pIndex)
| Maximum value of a floating-point vector. More...
void | arm_max_q15 (q15_t *pSrc, uint32_t blockSize, q15_t *pResult, uint32_t *pIndex)
| Maximum value of a Q15 vector. More...
void | arm_max_q31 (q31_t *pSrc, uint32_t blockSize, q31_t *pResult, uint32_t *pIndex)
| Maximum value of a Q31 vector. More...
void | arm_max_q7 (q7_t *pSrc, uint32_t blockSize, q7_t *pResult, uint32_t *pIndex)
| Maximum value of a Q7 vector. More...

## Description

Computes the maximum value of an array of data. The function returns both the maximum value and its position within the array. There are separate functions for floating-point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_max_f32 | ( | float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | maximum value returned here
  [out] | *pIndex | index of maximum value returned here

Returns
  none.

Referenced by main().

void arm_max_q15 | ( | q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | maximum value returned here
  [out] | *pIndex | index of maximum value returned here

Returns
  none.

void arm_max_q31 | ( | q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | maximum value returned here
  [out] | *pIndex | index of maximum value returned here

Returns
  none.

void arm_max_q7 | ( | q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | maximum value returned here
  [out] | *pIndex | index of maximum value returned here

Returns
  none.